package com.czg.product.enums;

/**
 * 商品类型
 *
 * @author tankaikai
 * @since 2025-02-16 15:20
 */
public enum ProductTypeEnum {

    /**
     * 单规格商品
     */
    SINGLE("single"),

    /**
     * 多规格商品
     */
    SKU("sku"),

    /**
     * 套餐商品
     */
    PACKAGE("package"),

    /**
     * 称重商品
     */
    WEIGHT("weight"),

    /**
     * coupon
     */
    COUPON("coupon");

    private String value;

    ProductTypeEnum(String value) {
        this.value = value;
    }

    public String value() {
        return this.value;
    }
}
